Post by ifernandez@nexit »

Hi everyone,

How are you? The reason I am posting this time is because we recently bought for a customer Gant View PRO for Odoo v13.
After we installed the module, when we go to a Project view and click on View BryntumGantt button, we get two errors which I attached to this email.

1 - Error:
Rastreo de error:
TypeError: Cannot read properties of undefined (reading 'update')
at Class.updateState (https://rda.nexit.com.uy/web/content/2115-55c0f46/web.assets_backend.js:4329:116)
at prototype.<computed> [as updateState] (https://rda.nexit.com.uy/web/content/359-1be62f1/web.assets_common.js:3861:488)
at https://rda.nexit.com.uy/web/content/2115-55c0f46/web.assets_backend.js:1102:149
at async Promise.all (index 0)
at async Class.reload (https://rda.nexit.com.uy/web/content/2115-55c0f46/web.assets_backend.js:1101:1)

2 - Error
Rastreo de error:
start@https://rda.nexit.com.uy/web/content/2117-0e224ca/web.assets_backend.js:4328:476
@https://rda.nexit.com.uy/web/content/359-1be62f1/web.assets_common.js:3861:493
promiseReactionJob@[native code]

Would you help us solve this issue?

Thank you in advance!


Post by Terence »

Which version of our module are you using?


Post by ifernandez@nexit »

Terence wrote:
Thu Jun 30, 2022 9:19 pm

Which version of our module are you using?

13.0.1.3.5


Post by Terence »

Thank you. I will try to reproduce. Come back on it upcoming Monday.


Post by Terence »

I tested the module on both 13.0 community and the enterprise version and I can not reproduce the issue.

It can be the case that there is a conflicting module installed. In that case it is best to install the module on a clean 13.0 Odoo database. Then install the other modules to pin out the conflicting module.

Sometimes it helps to upgrade the project module. But hard to tell without any further information.


Post by ifernandez@nexit »

Terence wrote:
Tue Jul 05, 2022 4:15 pm

I tested the module on both 13.0 community and the enterprise version and I can not reproduce the issue.

It can be the case that there is a conflicting module installed. In that case it is best to install the module on a clean 13.0 Odoo database. Then install the other modules to pin out the conflicting module.

Sometimes it helps to upgrade the project module. But hard to tell without any further information.

Hi Terence, how are you?

We installed the module on an empty v13 Community version, only with Project module installed and we didn't reproduce the issue.

Then we installed it on an empty v13 Enterprise version in same conditions and we did reproduce issue.

Would you mind in taking a look again? We have not been able to even test it yet.


Post by Terence »

I have tested on enterprise as well, maybe I used out dated enterprise packages. I will try again.


Post by Terence »

For testing meanwhile you can use our demo site.

https://odoo-gantt.bryntum.com


Post by Terence »

I can not reproduce exact this error, but it fails when you install our community version on an enterprise instance. You need the enterprise module instead.

Screenshot 2022-07-11 at 12.35.02.png
Screenshot 2022-07-11 at 12.35.02.png (104.83 KiB) Viewed 404 times

Which one did you install?


Post by ifernandez@nexit »

Terence wrote:
Mon Jul 11, 2022 12:36 pm

I can not reproduce exact this error, but it fails when you install our community version on an enterprise instance. You need the enterprise module instead.

Screenshot 2022-07-11 at 12.35.02.png

Which one did you install?

We installed the following: https://apps.odoo.com/apps/modules/13.0/bryntum_gantt/
I guess this is the cause of the issue.
Would you provide us with the Enterprise version? Let me know what do you need from us.


Post Reply